# Import system modules
import sys, string, os, win32com.client

# Create the Geoprocessor object
gp = win32com.client.Dispatch("esriGeoprocessing.GpDispatch.1")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")


# Local variables...
vrstva = sys.argv[1] #c:/podpora/2005/646/body.shp
zapisovat = sys.argv[2]
gp.overwriteoutput = 1

# Process: 

rows = gp.SearchCursor(vrstva) 
row = rows.Next()

edit_rows = gp.UpdateCursor(vrstva) 
edit_row = edit_rows.Next()

fields = gp.ListFields(vrstva)
field = fields.Next()

popis = gp.describe(vrstva)


if zapisovat == "true":
    print "zapis"
    if popis.shapetype == "Point":
        while row:
            shape = row.shape
            bod = shape.getpart(0)
            print (" %d %10.2f %10.2f %6.1f" % (row.getvalue(field.name),bod.x,bod.y,bod.z))
            gp.addmessage(" %d %10.2f %10.2f %6.1f" % (row.getvalue(field.name),bod.x,bod.y,bod.z))
            edit_row.Z = bod.z
            edit_rows.UpdateRow(edit_row)
            row = rows.Next()
            edit_row = edit_rows.Next()
    else:
        while row:
            shape = row.shape
            geometrie = shape.getpart(0)
            geometrie.reset
            bod = geometrie.next()
            print (" %d %6.1f" % (row.getvalue(field.name),bod.z))
            gp.addmessage(" %d %6.1f" % (row.getvalue(field.name),bod.z))
            edit_row.Z = bod.z
            edit_rows.UpdateRow(edit_row)
            row = rows.Next()
            edit_row = edit_rows.Next()
else:
    if popis.shapetype == "Point":
        while row:
            shape = row.shape
            bod = shape.getpart(0)
            print (" %d %10.2f %10.2f %6.1f" % (row.getvalue(field.name),bod.x,bod.y,bod.z))
            gp.addmessage(" %d %10.2f %10.2f %6.1f" % (row.getvalue(field.name),bod.x,bod.y,bod.z))
            row = rows.Next()
    else:
        while row:
            shape = row.shape
            geometrie = shape.getpart(0)
            geometrie.reset
            bod = geometrie.next()
            while bod:
                print (" %d %10.2f %10.2f %6.1f" % (row.getvalue(field.name),bod.x,bod.y,bod.z))
                gp.addmessage(" %d %10.2f %10.2f %6.1f" % (row.getvalue(field.name),bod.x,bod.y,bod.z))
                bod = geometrie.next()
            row = rows.Next()
